xine-lib: xine-lib-1.2.13/include/xine/xine_internal.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
xine_internal.h File Reference
`#include <xine.h>`
`#include <xine/tickets.h>`
`#include <xine/refcounter.h>`
`#include <xine/input_plugin.h>`
`#include <xine/demux.h>`
`#include <xine/video_out.h>`
`#include <xine/audio_out.h>`
`#include <xine/metronom.h>`
`#include <xine/osd.h>`
`#include <xine/xineintl.h>`
`#include <xine/plugin_catalog.h>`
`#include <xine/video_decoder.h>`
`#include <xine/audio_decoder.h>`
`#include <xine/spu_decoder.h>`
`#include <xine/scratch.h>`
`#include <xine/broadcaster.h>`
`#include <xine/io_helper.h>`
`#include <xine/info_helper.h>`
`#include <xine/alphablend.h>`

Go to the source code of this file.

## Data Structures
struct | xdgHandle
struct | xine_s
struct | xine_event_queue_s
struct | xine_stream_s
struct | xine_query_buffers_data_t
struct | xine_query_buffers_t
struct | xine_pids_data_t

## Macros
#define | XINE_MAX_EVENT_LISTENERS 50
#define | XINE_MAX_EVENT_TYPES 100
#define | XINE_MAX_TICKET_HOLDER_THREADS 64
#define | XINE_VERSION_CODE XINE_MAJOR_VERSION*10000+XINE_MINOR_VERSION*100+XINE_SUB_VERSION
#define | XINE_LOG_MSG 0 /* warnings, errors, ... */
#define | XINE_LOG_PLUGIN 1
#define | XINE_LOG_TRACE 2
#define | XINE_LOG_NUM 3 /* # of log buffers defined */
#define | XINE_STREAM_INFO_MAX 99
#define | XINE_ANON_STREAM ((xine_stream_t *)-1)
#define | XINE_LIVE_PAUSE_ON 0x7ffffffd
#define | XINE_LIVE_PAUSE_OFF 0x7ffffffc
#define | XINE_EVENT_PIDS_CHANGE 0x80000000
#define | XINE_EVENT_END_OF_CLIP 0x80000001

## Functions
int | _x_query_network_timeout (xine_t *xine)
int | _x_query_buffers (xine_stream_t *stream, xine_query_buffers_t *query)
int | _x_query_buffer_usage (xine_stream_t *stream, int *num_video_buffers, int *num_audio_buffers, int *num_video_frames, int *num_audio_frames)
int | _x_lock_port_rewiring (xine_t *xine, int ms_to_time_out)
void | _x_unlock_port_rewiring (xine_t *xine)
int | _x_lock_frontend (xine_stream_t *stream, int ms_to_time_out)
void | _x_unlock_frontend (xine_stream_t *stream)
int | _x_query_unprocessed_osd_events (xine_stream_t *stream)
int | _x_demux_seek (xine_stream_t *stream, off_t start_pos, int start_time, int playing)
int | _x_continue_stream_processing (xine_stream_t *stream)
void | _x_trigger_relaxed_frame_drop_mode (xine_stream_t *stream)
void | _x_reset_relaxed_frame_drop_mode (xine_stream_t *stream)
void | _x_handle_stream_end (xine_stream_t *stream, int non_user)
int | _x_message (xine_stream_t *stream, int type,...) XINE_SENTINEL
void | _x_flush_events_queues (xine_stream_t *stream)
void | _x_extra_info_reset (extra_info_t *extra_info)
void | _x_extra_info_merge (extra_info_t *dst, const extra_info_t *src)
void | _x_get_current_info (xine_stream_t *stream, extra_info_t *extra_info, int size)
int | _x_keyframes_set (xine_stream_t *stream, xine_keyframes_entry_t *list, int size)
| Register a list of stream keyframes.
int | _x_keyframes_add (xine_stream_t *stream, xine_keyframes_entry_t *pos)
| Register a stream keyframe to seek index.
void | _x_demux_flush_engine (xine_stream_t *stream)
void | _x_demux_control_nop (xine_stream_t *stream, uint32_t flags)
void | _x_demux_control_newpts (xine_stream_t *stream, int64_t pts, uint32_t flags)
void | _x_demux_control_headers_done (xine_stream_t *stream)
void | _x_demux_control_start (xine_stream_t *stream)
void | _x_demux_control_end (xine_stream_t *stream, uint32_t flags)
int | _x_demux_start_thread (xine_stream_t *stream)
int | _x_demux_called_from (xine_stream_t *stream)
int | _x_demux_stop_thread (xine_stream_t *stream)
int | _x_demux_read_header (input_plugin_t *input, void *buffer, off_t size)
int | _x_demux_read_stream_header (xine_stream_t *stream, input_plugin_t *input, void *buffer, size_t size)
int | _x_demux_check_extension (const char *mrl, const char *extensions)
off_t | _x_read_abort (xine_stream_t *stream, int fd, char *buf, off_t todo)
int | _x_action_pending (xine_stream_t *stream)
void | _x_action_raise (xine_stream_t *stream)
void | _x_action_lower (xine_stream_t *stream)
void | _x_demux_send_data (fifo_buffer_t *fifo, uint8_t *data, int size, int64_t pts, uint32_t type, uint32_t decoder_flags, int input_normpos, int input_time, int total_time, uint32_t frame_number)
int | _x_demux_read_send_data (fifo_buffer_t *fifo, input_plugin_t *input, int size, int64_t pts, uint32_t type, uint32_t decoder_flags, off_t input_normpos, int input_time, int total_time, uint32_t frame_number) XINE_USED
void | _x_demux_send_mrl_reference (xine_stream_t *stream, int alternative, const char *mrl, const char *title, int start_time, int duration)
void | _x_mrl_unescape (char *mrl)
char * | _x_mrl_remove_auth (const char *mrl)
input_plugin_t * | _x_find_input_plugin (xine_stream_t *stream, const char *mrl)
void | _x_free_input_plugin (xine_stream_t *stream, input_plugin_t *input)
struct xine_module_s * | _x_find_module (xine_t *xine, const char *type, const char *id, unsigned sub_type, const void *params)
void | _x_free_module (xine_t *xine, struct xine_module_s **pmodule)
video_decoder_t * | _x_get_video_decoder (xine_stream_t *stream, uint8_t stream_type)
void | _x_free_video_decoder (xine_stream_t *stream, video_decoder_t *decoder)
audio_decoder_t * | _x_get_audio_decoder (xine_stream_t *stream, uint8_t stream_type)
void | _x_free_audio_decoder (xine_stream_t *stream, audio_decoder_t *decoder)
spu_decoder_t * | _x_get_spu_decoder (xine_stream_t *stream, uint8_t stream_type)
void | _x_free_spu_decoder (xine_stream_t *stream, spu_decoder_t *decoder)
int | _x_decoder_available (xine_t *xine, uint32_t buftype)
demux_plugin_t * | _x_find_demux_plugin (xine_stream_t *stream, input_plugin_t *input)
demux_plugin_t * | _x_find_demux_plugin_by_name (xine_stream_t *stream, const char *name, input_plugin_t *input)
void | _x_free_demux_plugin (xine_stream_t *stream, demux_plugin_t **demux)
vo_driver_t * | _x_load_video_output_plugin (xine_t *this_gen, const char *id, int visual_type, const void *visual)
ao_driver_t * | _x_load_audio_output_plugin (xine_t *self, const char *id)
void | _x_set_speed (xine_stream_t *stream, int speed)
int | _x_get_speed (xine_stream_t *stream)
void | _x_set_fine_speed (xine_stream_t *stream, int speed)
int | _x_get_fine_speed (xine_stream_t *stream)
void | _x_select_spu_channel (xine_stream_t *stream, int channel)
int | _x_get_audio_channel (xine_stream_t *stream)
int | _x_get_spu_channel (xine_stream_t *stream)
int | _x_get_video_streamtype (xine_stream_t *)

## Macro Definition Documentation

## ◆ XINE_ANON_STREAM

#define XINE_ANON_STREAM ((xine_stream_t *)-1)

Referenced by ao_put_buffer(), ao_status(), ao_streams_register(), ao_streams_unregister(), fftgraph_port_close(), fftgraph_port_open(), fftgraph_port_put_buffer(), fftgraph_rewire_video(), fftscope_port_close(), fftscope_port_open(), fftscope_port_put_buffer(), fftscope_rewire_video(), fooviz_port_close(), fooviz_port_open(), fooviz_port_put_buffer(), fooviz_rewire_video(), goom_port_close(), goom_port_open(), goom_port_put_buffer(), goom_rewire_video(), oscope_port_close(), oscope_port_open(), oscope_port_put_buffer(), oscope_rewire_video(), switch_draw(), tdaan_port_close(), tdaan_port_open(), tdaan_port_put_buffer(), tdaan_rewire_video(), vcd_class_get_instance(), vo_frame_draw(), vo_open(), vo_status(), vo_streams_register(), vo_streams_unregister(), xine_exit(), xine_keyframes_find(), and xine_keyframes_get().

## ◆ XINE_EVENT_END_OF_CLIP

#define XINE_EVENT_END_OF_CLIP 0x80000001

Referenced by demux_ts_event_handler(), open_plugin(), and stream_flush().

## ◆ XINE_EVENT_PIDS_CHANGE

#define XINE_EVENT_PIDS_CHANGE 0x80000000

Referenced by demux_ts_event_handler(), open_plugin(), stream_reset(), and switch_channel().

## ◆ XINE_LIVE_PAUSE_OFF

#define XINE_LIVE_PAUSE_OFF 0x7ffffffc

Referenced by _x_set_fine_speed(), set_speed_internal(), stream_rewire_audio(), and stream_rewire_video().

## ◆ XINE_LIVE_PAUSE_ON

#define XINE_LIVE_PAUSE_ON 0x7ffffffd

## ◆ XINE_LOG_MSG

#define XINE_LOG_MSG 0 /* warnings, errors, ... */

Referenced by _alsa_query_dev(), _cdda_cddb_socket_open(), _open_plugin(), _open_plugin(), _x_demux_control_headers_done(), _x_io_select(), _x_rip_plugin_get_instance(), _x_use_proxy(), _x_video_decoder_init(), ao_alsa_open(), ao_dx2_close(), ao_dx2_control(), ao_dx2_exit(), ao_dx2_open(), asf_read_header(), audio_decoder_loop(), audio_error(), audio_fill(), bitplane_decode_data(), buffer_service(), cache_plugin_new(), cache_plugin_open(), config_save_cb(), decode_vorbis_header(), demux_loop(), demux_mpeg_pes_parse_pack(), demux_mve_send_chunk(), file_input_open(), get_answer(), gnomevfs_plugin_open(), http_can_handle(), http_plugin_handshake(), http_plugin_open(), http_plugin_read_int(), lpcm_decode_data(), mmsh_connect(), next_frame(), open_film_file(), open_internal(), open_mve_file(), open_plugin(), open_plugin(), open_snd_file(), open_voc_file(), parse_pes_for_pts(), parse_pes_for_pts(), play_internal(), read_iff_chunk(), rip_plugin_open(), rip_plugin_read(), rip_plugin_read_block(), rip_plugin_seek(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_start(), rip_seek_original(), save_catalog(), send_command(), video_decoder_loop(), video_out_loop(), vo_frame_draw(), vorbis_decode_data(), w32a_decode_data(), w32a_init_audio(), w32v_decode_data(), w32v_init_codec(), w32v_init_ds_dmo_codec(), xine_config_load(), xine_get_log_names(), and xio_err().

## ◆ XINE_LOG_NUM

#define XINE_LOG_NUM 3 /* # of log buffers defined */

Referenced by xine_exit(), xine_get_log(), xine_get_log_names(), and xine_get_log_section_count().

## ◆ XINE_LOG_PLUGIN

#define XINE_LOG_PLUGIN 1

Referenced by _insert_node(), _load_plugin_class(), _register_plugins_internal(), _unload_unref_plugin(), collect_plugins(), map_decoder_list(), open_mod_file(), and xine_get_log_names().

## ◆ XINE_LOG_TRACE

#define XINE_LOG_TRACE 2

Referenced by xine_get_log_names().

## ◆ XINE_MAX_EVENT_LISTENERS

#define XINE_MAX_EVENT_LISTENERS 50

## ◆ XINE_MAX_EVENT_TYPES

#define XINE_MAX_EVENT_TYPES 100

## ◆ XINE_MAX_TICKET_HOLDER_THREADS

#define XINE_MAX_TICKET_HOLDER_THREADS 64

## ◆ XINE_STREAM_INFO_MAX

#define XINE_STREAM_INFO_MAX 99

Referenced by anx_open_plugin(), close_internal(), demux_ogg_dispose(), info_valid(), meta_valid(), ogg_open_plugin(), xine_get_side_stream(), and xine_stream_new().

## ◆ XINE_VERSION_CODE

#define XINE_VERSION_CODE XINE_MAJOR_VERSION*10000+XINE_MINOR_VERSION*100+XINE_SUB_VERSION

Referenced by __attribute__().

## Function Documentation

## ◆ _x_action_lower()

void _x_action_lower | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::action_lock, xine_stream_private_st::action_pending, xine_stream_private_st::demux, and xine_stream_private_st::resume.

Referenced by _x_demux_control_headers_done(), _x_demux_start_thread(), and _x_demux_stop_thread().

## ◆ _x_action_pending()

int _x_action_pending | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::action_lock, xine_stream_private_st::action_pending, and xine_stream_private_st::demux.

Referenced by _ftp_read(), _read(), _scp_channel_init(), _scp_read(), _sftp_get_length(), _sftp_open(), _sftp_read(), _sftp_session_init(), _ssh_connect(), _x_io_select(), _x_read_abort(), _x_spu_decoder_sleep(), bluray_plugin_read(), get_input_buffer(), http_plugin_handshake(), http_plugin_read_int(), sync_next(), and vdr_main_read().

## ◆ _x_action_raise()

void _x_action_raise | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::action_lock, xine_stream_private_st::action_pending, and xine_stream_private_st::demux.

Referenced by _x_demux_control_headers_done(), _x_demux_start_thread(), and _x_demux_stop_thread().

## ◆ _x_continue_stream_processing()

int _x_continue_stream_processing | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::side_streams, xine_stream_private_st::status, XINE_STATUS_QUIT, and XINE_STATUS_STOP.

Referenced by vdr_audio_port_put_buffer(), vdr_main_read(), and vdr_video_draw().

## ◆ _x_decoder_available()

int _x_decoder_available | ( | xine_t * | xine,
|  | uint32_t | buftype )

References _x_assert, plugin_catalog_s::audio_decoder_map, BUF_AUDIO_BASE, BUF_SPU_BASE, BUF_VIDEO_BASE, DECODER_MAX, xine_s::plugin_catalog, plugin_catalog_s::spu_decoder_map, and plugin_catalog_s::video_decoder_map.

Referenced by _probe().

## ◆ _x_demux_called_from()

int _x_demux_called_from | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::demux, xine_stream_private_st::thread, and xine_stream_private_st::thread_running.

Referenced by file_input_read().

## ◆ _x_demux_check_extension()

int _x_demux_check_extension | ( | const char * | mrl,
|  | const char * | extensions )

References NULL, and xine_strsep.

Referenced by _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), and _x_find_demux_plugin_last_probe().

## ◆ _x_demux_control_end()

void _x_demux_control_end | ( | xine_stream_t * | stream,
|  | uint32_t | flags )

References xine_stream_s::audio_fifo, BUF_CONTROL_END, fifo_buffer_s::buffer_pool_alloc, buf_element_s::decoder_flags, xine_stream_private_st::demux, xine_stream_private_st::pair, fifo_buffer_s::put, xine_stream_private_st::s, xine_stream_private_st::side_streams, buf_element_s::type, and xine_stream_s::video_fifo.

Referenced by asf_parse_packet_align(), asf_parse_packet_ecd(), demux_loop(), demux_ogg_send_chunk(), dvb_plugin_read(), and stop_internal().

## ◆ _x_demux_control_headers_done()

void _x_demux_control_headers_done | ( | xine_stream_t * | stream | ) |

References _, _x_action_lower(), _x_action_raise(), xine_stream_s::audio_fifo, xine_stream_private_st::audio_thread_created, BUF_CONTROL_HEADERS_DONE, fifo_buffer_s::buffer_pool_alloc, xine_stream_private_st::changed, xine_stream_private_st::counter, xine_stream_private_st::demux, demux_unstick_ao_loop(), xine_stream_private_st::emergency_brake, xine_stream_private_st::headers_audio, xine_stream_private_st::headers_video, xine_stream_private_st::lock, lprintf, xine_stream_private_st::pair, fifo_buffer_s::put, xine_stream_private_st::s, xine_stream_private_st::side_streams, buf_element_s::type, xine_stream_s::video_fifo, xine_stream_private_st::video_thread_created, xine_stream_s::xine, xine_gettime(), xine_log(), and XINE_LOG_MSG.

Referenced by _x_demux_flush_engine(), and open_internal().

## ◆ _x_demux_control_newpts()

void _x_demux_control_newpts | ( | xine_stream_t * | stream,
|  | int64_t | pts,
|  | uint32_t | flags )

References xine_stream_s::audio_fifo, BUF_CONTROL_NEWPTS, BUF_FLAG_SEEK, fifo_buffer_s::buffer_pool_alloc, buf_element_s::decoder_flags, xine_stream_private_st::demux, buf_element_s::disc_off, xine_stream_private_st::max_seek_bufs, xine_stream_private_st::pair, fifo_buffer_s::put, xine_stream_private_st::s, xine_stream_private_st::side_streams, buf_element_s::type, and xine_stream_s::video_fifo.

Referenced by check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), check_newpts(), demux_aac_seek(), demux_aac_send_chunk(), demux_ac3_send_chunk(), demux_aiff_send_chunk(), demux_cdda_send_chunk(), demux_dts_send_chunk(), demux_eawve_seek(), demux_film_send_chunk(), demux_flac_seek(), demux_flac_send_chunk(), demux_flac_send_chunk(), demux_fli_seek(), demux_flv_seek(), demux_fourxm_seek(), demux_idcin_seek(), demux_ipmovie_seek(), demux_ivf_send_chunk(), demux_mng_send_headers(), demux_mod_send_chunk(), demux_mpc_seek(), demux_mpgaudio_seek(), demux_mve_send_chunk(), demux_nsf_seek(), demux_nsf_send_chunk(), demux_nsv_seek(), demux_qt_send_chunk(), demux_ra_send_chunk(), demux_raw_dv_seek(), demux_roq_seek(), demux_shn_seek(), demux_slave_next(), demux_snd_send_chunk(), demux_sputext_seek(), demux_str_send_chunk(), demux_tta_seek(), demux_voc_send_chunk(), demux_vox_seek(), demux_wav_send_chunk(), demux_wv_seek(), demux_yuv4mpeg2_seek(), demux_yuv4mpeg2_send_chunk(), newpts_test(), parse_private_stream_2(), switch_buf(), vdr_class_get_instance(), and vdr_execute_rpc_command().

## ◆ _x_demux_control_nop()

void _x_demux_control_nop | ( | xine_stream_t * | stream,
|  | uint32_t | flags )

References xine_stream_s::audio_fifo, BUF_CONTROL_NOP, fifo_buffer_s::buffer_pool_alloc, buf_element_s::decoder_flags, xine_stream_private_st::demux, xine_stream_private_st::pair, fifo_buffer_s::put, xine_stream_private_st::s, xine_stream_private_st::side_streams, buf_element_s::type, and xine_stream_s::video_fifo.

Referenced by demux_loop(), open_internal(), and switch_channel().

## ◆ _x_demux_control_start()

void _x_demux_control_start | ( | xine_stream_t * | stream | ) |

References xine_stream_s::audio_fifo, BUF_CONTROL_START, BUF_FLAG_GAPLESS_SW, fifo_buffer_s::buffer_pool_alloc, buf_element_s::decoder_flags, xine_stream_private_st::demux, xine_stream_private_st::finished_naturally, xine_stream_private_st::gapless_switch, xine_stream_private_st::id_flag, xine_stream_private_st::pair, fifo_buffer_s::put, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_private_st::start_buffers_sent, buf_element_s::type, xine_stream_s::video_fifo, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by demux_aac_send_headers(), demux_ac3_send_headers(), demux_aiff_send_headers(), demux_asf_send_headers(), demux_asf_send_headers_common(), demux_aud_send_headers(), demux_avformat_send_headers(), demux_cdda_send_headers(), demux_dts_send_headers(), demux_eawve_send_headers(), demux_film_send_headers(), demux_flac_send_headers(), demux_flac_send_headers(), demux_fli_send_headers(), demux_flv_send_headers(), demux_fourxm_send_headers(), demux_idcin_send_headers(), demux_iff_send_headers(), demux_image_send_headers(), demux_ipmovie_send_headers(), demux_ivf_send_headers(), demux_matroska_send_headers(), demux_mng_send_headers(), demux_mod_send_headers(), demux_mpc_send_headers(), demux_mpeg_block_send_headers(), demux_mpeg_elem_send_headers(), demux_mpeg_pes_send_headers(), demux_mpeg_send_headers(), demux_mpgaudio_send_headers(), demux_mve_send_headers(), demux_nsf_send_headers(), demux_nsv_send_headers(), demux_ogg_send_chunk(), demux_ogg_send_headers(), demux_playlist_send_headers(), demux_pva_send_headers(), demux_qt_send_headers(), demux_ra_send_headers(), demux_raw_dv_send_headers(), demux_roq_send_headers(), demux_shn_send_headers(), demux_slave_send_headers(), demux_smjpeg_send_headers(), demux_snd_send_headers(), demux_sputext_send_headers(), demux_str_send_headers(), demux_ts_event_handler(), demux_ts_send_headers(), demux_tta_send_headers(), demux_vc1_es_send_headers(), demux_vmd_send_headers(), demux_voc_send_headers(), demux_vox_send_headers(), demux_vqa_send_headers(), demux_wav_send_headers(), demux_wv_send_headers(), demux_yuv4mpeg2_send_headers(), demux_yuv_frames_send_headers(), dvb_plugin_read(), real_parse_headers(), and vdr_start_buffers().

## ◆ _x_demux_flush_engine()

void _x_demux_flush_engine | ( | xine_stream_t * | stream | ) |

References _x_demux_control_headers_done(), xine_ticket_s::acquire, AO_PROP_DISCARD_BUFFERS, xine_stream_s::audio_fifo, xine_stream_s::audio_out, BUF_CONTROL_RESET_DECODER, fifo_buffer_s::buffer_pool_alloc, fifo_buffer_s::clear, xine_stream_private_st::demux, xine_stream_private_st::finished_naturally, xine_audio_port_s::flush, xine_video_port_s::flush, video_overlay_manager_s::flush_events, xine_stream_private_st::gapless_switch, xine_video_port_s::get_overlay_manager, xine_stream_s::master, xine_stream_private_st::pair, xine_private_t::port_ticket, fifo_buffer_s::put, xine_ticket_s::release, xine_stream_private_st::s, xine_audio_port_s::set_property, xine_video_port_s::set_property, xine_stream_private_st::side_streams, buf_element_s::type, xine_stream_s::video_fifo, xine_stream_s::video_out, VO_PROP_DISCARD_FRAMES, and xine_stream_s::xine.

Referenced by _x_demux_stop_thread(), demux_ac3_seek(), demux_aiff_seek(), demux_asf_seek(), demux_aud_seek(), demux_avformat_seek(), demux_avi_seek_internal(), demux_cdda_seek(), demux_dts_seek(), demux_film_seek(), demux_flac_seek(), demux_flac_seek(), demux_flv_seek(), demux_iff_seek(), demux_ivf_seek(), demux_matroska_seek(), demux_mod_seek(), demux_mpeg_block_seek(), demux_mpeg_elem_seek(), demux_mpeg_pes_seek(), demux_mpeg_seek(), demux_mpgaudio_seek(), demux_mve_seek(), demux_nsf_seek(), demux_ogg_seek(), demux_pva_seek(), demux_qt_seek(), demux_ra_seek(), demux_raw_dv_seek(), demux_real_seek(), demux_slave_next(), demux_snd_seek(), demux_sputext_seek(), demux_str_seek(), demux_ts_seek(), demux_tta_seek(), demux_vc1_es_seek(), demux_voc_seek(), demux_wav_seek(), demux_yuv4mpeg2_seek(), dvd_plugin_read_block(), external_stream_stop(), pvr_event_handler(), stream_reset(), switch_channel(), v4l_event_handler(), vcd_flush_buffers(), vcd_handle_events(), and vdr_execute_rpc_command().

## ◆ _x_demux_read_header()

int _x_demux_read_header | ( | input_plugin_t * | input,
|  | void * | buffer,
|  | off_t | size )

References _x_demux_read_stream_header(), input(), and NULL.

Referenced by detect_anx_content(), detect_by_content(), detect_ogg_content(), hls_input_get_instance(), mpd_input_get_instance(), open_ac3_file(), open_aud_file(), open_dts_file(), open_fli_file(), open_idcin_file(), open_iff_file(), open_ipmovie_file(), open_mpc_file(), open_nsv_file(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_ra_file(), open_smjpeg_file(), open_snd_file(), open_vmd_file(), open_wv_file(), open_yuv4mpeg2_file(), probe_aiff_file(), probe_film_file(), probe_fourxm_file(), probe_mod_file(), probe_mve_file(), probe_shn_file(), probe_snd_file(), probe_tta_file(), probe_voc_file(), probe_vqa_file(), probe_wav_file(), real_check_stream_type(), and xine_parse_id3v2_tag().

## ◆ _x_demux_read_send_data()

int _x_demux_read_send_data | ( | fifo_buffer_t * | fifo,
|  | input_plugin_t * | input,
|  | int | size,
|  | int64_t | pts,
|  | uint32_t | type,
|  | uint32_t | decoder_flags,
|  | off_t | input_normpos,
|  | int | input_time,
|  | int | total_time,
|  | uint32_t | frame_number )

References _x_assert, BUF_FLAG_FRAME_END, BUF_FLAG_FRAME_START, fifo_buffer_s::buffer_pool_size_alloc, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::extra_info, extra_info_s::frame_number, buf_element_s::free_buffer, input(), extra_info_s::input_normpos, extra_info_s::input_time, buf_element_s::max_size, buf_element_s::pts, fifo_buffer_s::put, buf_element_s::size, extra_info_s::total_time, buf_element_s::type, and type.

Referenced by demux_ivf_send_chunk(), demux_ra_send_chunk(), demux_real_send_chunk(), and demux_tta_send_chunk().

## ◆ _x_demux_read_stream_header()

int _x_demux_read_stream_header | ( | xine_stream_t * | stream,
|  | input_plugin_t * | input,
|  | void * | buffer,
|  | size_t | size )

References xine_stream_private_st::id3v2_tag_size, input(), INPUT_CAP_PREVIEW, INPUT_CAP_SEEKABLE, INPUT_CAP_SIZED_PREVIEW, INPUT_OPTIONAL_DATA_PREVIEW, INPUT_OPTIONAL_DATA_SIZED_PREVIEW, and MAX_PREVIEW_SIZE.

Referenced by _x_demux_read_header(), detect_mpgaudio_file(), open_flac_file(), and probe_aac_file().

## ◆ _x_demux_seek()

int _x_demux_seek | ( | xine_stream_t * | stream,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing )

References xine_stream_private_st::demux, xine_stream_private_st::frontend_lock, xine_stream_private_st::plugin, demux_plugin_s::seek, and xine_stream_private_st::side_streams.

Referenced by trick_speed_send_event(), and vdr_execute_rpc_command().

## ◆ _x_demux_send_data()

void _x_demux_send_data | ( | fifo_buffer_t * | fifo,
|  | uint8_t * | data,
|  | int | size,
|  | int64_t | pts,
|  | uint32_t | type,
|  | uint32_t | decoder_flags,
|  | int | input_normpos,
|  | int | input_time,
|  | int | total_time,
|  | uint32_t | frame_number )

References _x_assert, BUF_FLAG_FRAME_END, BUF_FLAG_FRAME_START, fifo_buffer_s::buffer_pool_size_alloc, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::extra_info, extra_info_s::frame_number, extra_info_s::input_normpos, extra_info_s::input_time, buf_element_s::max_size, buf_element_s::pts, fifo_buffer_s::put, buf_element_s::size, extra_info_s::total_time, buf_element_s::type, type, and xine_fast_memcpy.

Referenced by demux_ra_send_chunk(), demux_real_send_chunk(), handle_dvbsub(), handle_hdmv_pgs(), handle_realvideo(), handle_vp9(), parse_block(), send_avpacket(), and send_ogg_buf().

## ◆ _x_demux_send_mrl_reference()

void _x_demux_send_mrl_reference | ( | xine_stream_t * | stream,
|  | int | alternative,
|  | const char * | mrl,
|  | const char * | title,
|  | int | start_time,
|  | int | duration )

References xine_event_t::data_length, XINE_DISABLE_DEPRECATION_WARNINGS, XINE_ENABLE_DEPRECATION_WARNINGS, XINE_EVENT_MRL_REFERENCE, XINE_EVENT_MRL_REFERENCE_EXT, and xine_event_send().

Referenced by demux_asf_parse_asf_references(), demux_asf_parse_asx_references(), demux_asf_parse_http_references(), demux_qt_send_chunk(), demux_real_parse_references(), parse_asx(), parse_m3u(), parse_pls(), parse_qtl(), parse_ram(), parse_ref(), parse_rss(), parse_smi(), and parse_xspf().

## ◆ _x_demux_start_thread()

int _x_demux_start_thread | ( | xine_stream_t * | stream | ) |

References _x_action_lower(), _x_action_raise(), xine_stream_private_st::demux, demux_loop(), xine_stream_private_st::lock, lprintf, NULL, xine_stream_private_st::s, xine_stream_private_st::thread, xine_stream_private_st::thread_created, xine_stream_private_st::thread_running, XINE_VERBOSITY_LOG, and xprintf.

Referenced by play_internal().

## ◆ _x_demux_stop_thread()

int _x_demux_stop_thread | ( | xine_stream_t * | stream | ) |

References _x_action_lower(), _x_action_raise(), _x_demux_flush_engine(), xine_stream_private_st::demux, xine_stream_private_st::first_frame, xine_stream_private_st::flag, xine_stream_private_st::lock, lprintf, xine_stream_private_st::reached, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_private_st::thread, xine_stream_private_st::thread_created, and xine_stream_private_st::thread_running.

Referenced by stop_internal().

## ◆ _x_extra_info_merge()

void _x_extra_info_merge | ( | extra_info_t * | dst,
|  | const extra_info_t * | src )

References extra_info_s::frame_number, extra_info_s::input_normpos, extra_info_s::input_time, extra_info_s::invalid, extra_info_s::seek_count, and extra_info_s::vpts.

Referenced by _x_post_frame_copy_down(), _x_post_frame_copy_up(), _x_post_frame_u_turn(), ao_put_buffer(), audio_decoder_loop(), deinterlace_build_output_field(), stretch_process_fragment(), upmix_mono_port_put_buffer(), upmix_port_put_buffer(), vdr_audio_port_put_buffer(), video_decoder_loop(), and vo_set_img_ei().

## ◆ _x_extra_info_reset()

void _x_extra_info_reset | ( | extra_info_t * | extra_info | ) |

Referenced by _buffer_pool_size_alloc(), ao_get_buffer(), audio_decoder_loop(), buffer_pool_alloc(), buffer_pool_try_alloc(), duplicate_frame(), open_internal(), video_decoder_loop(), and vo_get_frame().

## ◆ _x_find_demux_plugin()

demux_plugin_t * _x_find_demux_plugin | ( | xine_stream_t * | stream,
|  | input_plugin_t * | input )

References _, _load_plugin_class(), _mime_find(), _mime_set(), _x_demux_check_extension(), xine_stream_s::content_detection_method, xine_stream_private_st::demux, xine_s::demux_strategy, plugin_info_t::id, inc_node_ref(), plugin_node_s::info, input(), xine_stream_private_st::input_caps, INPUT_OPTIONAL_DATA_DEMUX_MIME_TYPE, INPUT_OPTIONAL_DATA_MIME_TYPE, INPUT_OPTIONAL_UNSUPPORTED, xine_stream_s::input_plugin, plugin_catalog_s::lock, METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGIN_DEMUX, plugin_catalog_s::plugin_lists, xine_stream_s::xine, XINE_DEMUX_CONTENT_STRATEGY, XINE_DEMUX_DEFAULT_STRATEGY, XINE_DEMUX_EXTENSION_STRATEGY, XINE_DEMUX_REVERT_STRATEGY, xine_sarray_get(), xine_sarray_size(), XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_internal().

## ◆ _x_find_demux_plugin_by_name()

demux_plugin_t * _x_find_demux_plugin_by_name | ( | xine_stream_t * | stream,
|  | const char * | name,
|  | input_plugin_t * | input )

References _load_plugin_class(), _x_demux_check_extension(), xine_stream_s::content_detection_method, plugin_info_t::id, inc_node_ref(), plugin_node_s::info, input(), plugin_catalog_s::lock, METHOD_BY_MRL, METHOD_EXPLICIT, name, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGIN_DEMUX, plugin_catalog_s::plugin_lists, xine_stream_s::xine, xine_sarray_get(), and xine_sarray_size().

Referenced by open_internal().

## ◆ _x_find_input_plugin()

input_plugin_t * _x_find_input_plugin | ( | xine_stream_t * | stream,
|  | const char * | mrl )

References _load_plugin_class(), inc_node_ref(), input_plugin_s::input_class, xine_stream_s::input_plugin, plugin_catalog_s::lock, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGIN_INPUT, plugin_catalog_s::plugin_lists, xine_stream_private_st::query_input_plugins, xine_stream_private_st::s, xine_stream_s::xine, xine_sarray_get(), and xine_sarray_size().

Referenced by crypto_class_get_instance(), hls_input_get_instance(), hls_input_switch_mrl(), mpd_input_get_instance(), mpd_input_switch_mrl(), and open_internal().

## ◆ _x_find_module()

struct xine_module_s * _x_find_module | ( | xine_t * | xine,
|  | const char * | type,
|  | const char * | id,
|  | unsigned | sub_type,
|  | const void * | params )

References _load_plugin_class(), plugin_info_t::id, inc_node_ref(), plugin_node_s::info, plugin_catalog_s::lock, plugin_catalog_s::modules_list, xine_module_s::node, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, plugin_info_t::special_info, xine_module_info_t::sub_type, type, xine_module_info_t::type, xine_sarray_get(), and xine_sarray_size().

Referenced by _x_find_tls_plugin(), _x_hwdec_new(), _x_load_gl(), and _x_va_display_open().

## ◆ _x_flush_events_queues()

void _x_flush_events_queues | ( | xine_stream_t * | stream | ) |

References xine_event_queue_s::callback_running, xine_stream_private_st::event, xine_event_queue_s::events, xine_event_queue_s::events_processed, xine_event_queue_private_s::flush, xine_event_queue_private_s::handler, xine_event_queue_private_s::lasttime, xine_event_queue_s::listener_thread, xine_event_queue_s::lock, xine_stream_private_st::lock, NULL, xine_event_queue_private_s::q, xine_stream_private_st::queues, xine_event_queue_private_s::refs, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_event_t::tv, xine_stream_s::xine, xine_event_queue_unref_unlock(), xine_gettime(), xine_list_next_value(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_internal().

## ◆ _x_free_audio_decoder()

void _x_free_audio_decoder | ( | xine_stream_t * | stream,
|  | audio_decoder_t * | decoder )

References dec_node_ref(), audio_decoder_s::dispose, plugin_catalog_s::lock, xine_s::plugin_catalog, and xine_stream_s::xine.

Referenced by audio_decoder_loop().

## ◆ _x_free_demux_plugin()

void _x_free_demux_plugin | ( | xine_stream_t * | stream,
|  | demux_plugin_t ** | demux )

References dec_node_ref(), demux_plugin_s::dispose, plugin_catalog_s::lock, NULL, xine_s::plugin_catalog, and xine_stream_s::xine.

Referenced by close_internal(), and open_internal().

## ◆ _x_free_input_plugin()

void _x_free_input_plugin | ( | xine_stream_t * | stream,
|  | input_plugin_t * | input )

References dec_node_ref(), input(), plugin_catalog_s::lock, xine_s::plugin_catalog, and xine_stream_s::xine.

Referenced by cache_plugin_dispose(), close_internal(), crypto_class_get_instance(), crypto_plugin_dispose(), hls_input_dispose(), hls_input_get_instance(), hls_input_switch_mrl(), mpd_input_dispose(), mpd_input_get_instance(), mpd_input_switch_mrl(), open_internal(), rip_plugin_dispose(), and xine_open().

## ◆ _x_free_module()

void _x_free_module | ( | xine_t * | xine,
|  | struct xine_module_s ** | pmodule )

References dec_node_ref(), plugin_catalog_s::lock, NULL, and xine_s::plugin_catalog.

Referenced by _x_free_tls_plugin(), default_gl_dispose(), default_hwdec_destroy(), and default_va_display_dispose().

## ◆ _x_free_spu_decoder()

void _x_free_spu_decoder | ( | xine_stream_t * | stream,
|  | spu_decoder_t * | decoder )

References dec_node_ref(), spu_decoder_s::dispose, plugin_catalog_s::lock, xine_s::plugin_catalog, and xine_stream_s::xine.

Referenced by update_spu_decoder(), and video_decoder_loop().

## ◆ _x_free_video_decoder()

void _x_free_video_decoder | ( | xine_stream_t * | stream,
|  | video_decoder_t * | decoder )

References dec_node_ref(), video_decoder_s::dispose, plugin_catalog_s::lock, xine_s::plugin_catalog, and xine_stream_s::xine.

Referenced by video_decoder_loop().

## ◆ _x_get_audio_channel()

int _x_get_audio_channel | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::audio_type.

Referenced by vcd_get_optional_data().

## ◆ _x_get_audio_decoder()

audio_decoder_t * _x_get_audio_decoder | ( | xine_stream_t * | stream,
|  | uint8_t | stream_type )

References _load_plugin_class(), _x_assert, plugin_catalog_s::audio_decoder_map, DECODER_MAX, plugin_info_t::id, inc_node_ref(), plugin_node_s::info, plugin_catalog_s::lock, lprintf, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGINS_PER_TYPE, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by audio_decoder_loop().

## ◆ _x_get_current_info()

void _x_get_current_info | ( | xine_stream_t * | stream,
|  | extra_info_t * | extra_info,
|  | int | size )

References xine_stream_private_st::side_streams, and xine_current_extra_info_get().

Referenced by spudec_decode_data().

## ◆ _x_get_fine_speed()

int _x_get_fine_speed | ( | xine_stream_t * | stream | ) |

References xine_s::clock, metronom_clock_s::speed, and xine_stream_s::xine.

Referenced by _x_get_speed(), dvbspeed_put(), handle_libbluray_event(), open_internal(), play_internal(), xine_get_param(), xine_nbc_init(), and xine_set_param().

## ◆ _x_get_speed()

int _x_get_speed | ( | xine_stream_t * | stream | ) |

References _x_get_fine_speed(), XINE_FINE_SPEED_NORMAL, XINE_SPEED_FAST_2, XINE_SPEED_FAST_4, XINE_SPEED_NORMAL, XINE_SPEED_PAUSE, XINE_SPEED_SLOW_2, and XINE_SPEED_SLOW_4.

Referenced by pvr_event_handler(), pvr_plugin_read_block(), v4l_plugin_read_block(), and xine_get_param().

## ◆ _x_get_spu_channel()

int _x_get_spu_channel | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::s, xine_stream_private_st::side_streams, and xine_stream_s::spu_channel_user.

Referenced by vcd_get_optional_data().

## ◆ _x_get_spu_decoder()

spu_decoder_t * _x_get_spu_decoder | ( | xine_stream_t * | stream,
|  | uint8_t | stream_type )

References _load_plugin_class(), _x_assert, DECODER_MAX, plugin_info_t::id, inc_node_ref(), plugin_node_s::info, plugin_catalog_s::lock, lprintf, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGINS_PER_TYPE, plugin_catalog_s::spu_decoder_map, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by process_userdata(), and update_spu_decoder().

## ◆ _x_get_video_decoder()

video_decoder_t * _x_get_video_decoder | ( | xine_stream_t * | stream,
|  | uint8_t | stream_type )

References _load_plugin_class(), _x_assert, DECODER_MAX, plugin_info_t::id, inc_node_ref(), plugin_node_s::info, plugin_catalog_s::lock, lprintf, NULL, xine_s::plugin_catalog, plugin_node_s::plugin_class, PLUGINS_PER_TYPE, plugin_catalog_s::video_decoder_map, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by video_decoder_loop().

## ◆ _x_get_video_streamtype()

int _x_get_video_streamtype | ( | xine_stream_t * | s | ) |

References xine_stream_private_st::side_streams, and xine_stream_private_st::video_decoder_streamtype.

Referenced by ff_video_open_plugin(), open_plugin(), and open_plugin().

## ◆ _x_handle_stream_end()

void _x_handle_stream_end | ( | xine_stream_t * | stream,
|  | int | non_user )

References xine_stream_private_st::finished_naturally, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_private_st::status, xine_event_send(), XINE_EVENT_UI_PLAYBACK_FINISHED, XINE_STATUS_QUIT, and XINE_STATUS_STOP.

Referenced by demux_loop().

## ◆ _x_keyframes_add()

int _x_keyframes_add | ( | xine_stream_t * | stream,
|  | xine_keyframes_entry_t * | pos )

Register a stream keyframe to seek index.

Note
  This will try not to duplicate already registered frames.

Parameters

  stream | The stream that index is for.
  pos | The frame time AND normpos.

Returns
  The index g into the index where that frame has been added, or -1.

References abs, xine_stream_private_st::array, xine_stream_private_st::index, KF_SIZE, xine_stream_private_st::lastadd, xine_stream_private_st::lock, xine_keyframes_entry_t::msecs, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_private_st::size, xine_stream_private_st::used, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by read_flv_packet(), and vo_frame_draw().

## ◆ _x_keyframes_set()

int _x_keyframes_set | ( | xine_stream_t * | stream,
|  | xine_keyframes_entry_t * | list,
|  | int | size )

Register a list of stream keyframes.

Parameters

  stream | The stream that index is for.
  list | The array of entries to add.
  size | The count of entries.

Returns
  0 (OK), 1 (Fail).

References xine_stream_private_st::array, xine_stream_private_st::index, KF_MASK, xine_stream_private_st::lastadd, xine_stream_private_st::lock, NULL, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_private_st::size, xine_stream_private_st::used, xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by close_internal(), and parse_moov_atom().

## ◆ _x_load_audio_output_plugin()

ao_driver_t * _x_load_audio_output_plugin | ( | xine_t * | self,
|  | const char * | id )

References _, _load_audio_driver(), plugin_info_t::id, plugin_node_s::info, plugin_catalog_s::lock, NULL, PLUGIN_AUDIO_OUT, xine_sarray_get(), xine_sarray_size(), XINE_VERBOSITY_LOG, and xprintf.

Referenced by ao_loop().

## ◆ _x_load_video_output_plugin()

vo_driver_t * _x_load_video_output_plugin | ( | xine_t * | this_gen,
|  | const char * | id,
|  | int | visual_type,
|  | const void * | visual )

References _load_video_driver(), plugin_info_t::id, plugin_node_s::info, plugin_catalog_s::lock, NULL, plugin_catalog_s::plugin_lists, PLUGIN_VIDEO_OUT, plugin_info_t::special_info, vo_info_t::visual_type, xine_sarray_get(), and xine_sarray_size().

Referenced by xine_open_video_driver().

## ◆ _x_lock_frontend()

int _x_lock_frontend | ( | xine_stream_t * | stream,
|  | int | ms_to_time_out )

References xine_stream_private_st::frontend_lock, lock_timeout(), and xine_stream_private_st::side_streams.

Referenced by vdr_rpc_thread_loop().

## ◆ _x_lock_port_rewiring()

int _x_lock_port_rewiring | ( | xine_t * | xine,
|  | int | ms_to_time_out )

References xine_private_t::port_ticket.

Referenced by nbc_delay_unpause(), nbc_get_cb(), nbc_put_cb(), queue_black_frame(), test_make(), and vdr_rpc_thread_loop().

## ◆ _x_message()

int _x_message | ( | xine_stream_t * | stream,
|  | int | type,
|  |  | ... )

References _, xine_ui_message_data_t::compatibility, xine_ui_message_data_t::explanation, xine_ui_message_data_t::messages, N_, NULL, xine_ui_message_data_t::num_parameters, xine_ui_message_data_t::parameters, xine_ui_data_t::str, type, xine_ui_message_data_t::type, xine_event_send(), and XINE_EVENT_UI_MESSAGE.

Referenced by _emit_authentication_request(), _ftp_connect(), _ftp_open(), _open_plugin(), _x_io_tcp_connect_finish(), _x_io_tcp_handshake_connect(), _x_real_codec_open(), _x_rip_plugin_get_instance(), ao_loop(), ao_open(), asf_read_header(), bluray_plugin_open(), config_save_cb(), dvb_plugin_read(), dvd_plugin_open(), dvd_plugin_read_block(), file_input_open(), get_disc_info(), gnomevfs_plugin_open(), handle_events(), handle_libbluray_event(), http_plugin_handshake(), http_plugin_open(), http_plugin_read_int(), load_channels(), net_plugin_read(), open_plugin(), parse_pes_for_pts(), parse_pes_for_pts(), qta_init_driver(), qtv_init_driver(), rip_plugin_read(), rtsp_get_code(), stdin_plugin_read(), stdin_plugin_wait(), vdr_main_read(), w32v_decode_data(), and xio_err().

## ◆ _x_mrl_remove_auth()

char * _x_mrl_remove_auth | ( | const char * | mrl | ) |

Referenced by _get_instance(), _get_instance(), input_avformat_get_instance(), and input_avio_get_instance().

## ◆ _x_mrl_unescape()

void _x_mrl_unescape | ( | char * | mrl | ) |

References nn, tab_unhex, and z.

Referenced by dvd_parse_mrl(), file_input_decode_uri(), mms_connect(), open_internal(), parse_mrl(), vcd_parse_mrl(), vdr_plugin_open_fifo_mrl(), and vdr_plugin_open_sockets().

## ◆ _x_query_buffer_usage()

int _x_query_buffer_usage | ( | xine_stream_t * | stream,
|  | int * | num_video_buffers,
|  | int * | num_audio_buffers,
|  | int * | num_video_frames,
|  | int * | num_audio_frames )

References AO_PROP_BUFS_IN_FIFO, xine_stream_s::audio_fifo, xine_stream_s::audio_out, xine_audio_port_s::get_property, xine_video_port_s::get_property, xine_private_t::port_ticket, xine_stream_private_st::s, xine_stream_private_st::side_streams, fifo_buffer_s::size, xine_stream_s::video_fifo, xine_stream_s::video_out, VO_PROP_BUFS_IN_FIFO, and xine_stream_s::xine.

Referenced by fifos_wait(), vdr_execute_rpc_command(), vdr_video_draw(), and xxmc_display_frame().

## ◆ _x_query_buffers()

int _x_query_buffers | ( | xine_stream_t * | stream,
|  | xine_query_buffers_t * | query )

References _x_query_buffers_fix_data(), xine_query_buffers_t::ai, xine_query_buffers_t::ao, AO_PROP_BUFS_FREE, AO_PROP_BUFS_IN_FIFO, AO_PROP_BUFS_TOTAL, xine_stream_s::audio_fifo, xine_stream_s::audio_out, xine_query_buffers_data_t::avail, fifo_buffer_s::buffer_pool_capacity, xine_audio_port_s::get_property, xine_video_port_s::get_property, fifo_buffer_s::num_free, xine_private_t::port_ticket, xine_query_buffers_data_t::ready, xine_stream_private_st::s, xine_stream_private_st::side_streams, fifo_buffer_s::size, xine_query_buffers_data_t::total, xine_query_buffers_t::vi, xine_stream_s::video_fifo, xine_stream_s::video_out, xine_query_buffers_t::vo, VO_PROP_BUFS_FREE, VO_PROP_BUFS_IN_FIFO, VO_PROP_BUFS_TOTAL, and xine_stream_s::xine.

## ◆ _x_query_network_timeout()

int _x_query_network_timeout | ( | xine_t * | xine | ) |

References xine_private_t::network_timeout.

Referenced by _gnutls_handshake(), _gnutls_part_read(), _gnutls_read(), _gnutls_shutdown(), _gnutls_write(), http_plugin_handshake(), and stdin_plugin_wait().

## ◆ _x_query_unprocessed_osd_events()

int _x_query_unprocessed_osd_events | ( | xine_stream_t * | stream | ) |

References xine_video_port_s::get_overlay_manager, xine_private_t::port_ticket, video_overlay_manager_s::redraw_needed, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_video_port_s::trigger_drawing, xine_stream_s::video_out, and xine_stream_s::xine.

Referenced by vdr_execute_rpc_command().

## ◆ _x_read_abort()

off_t _x_read_abort | ( | xine_stream_t * | stream,
|  | int | fd,
|  | char * | buf,
|  | off_t | todo )

References _x_action_pending(), and NULL.

Referenced by vdr_read_abort().

## ◆ _x_reset_relaxed_frame_drop_mode()

void _x_reset_relaxed_frame_drop_mode | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::first_frame, xine_stream_private_st::flag, xine_stream_private_st::lock, and xine_stream_private_st::side_streams.

Referenced by vdr_execute_rpc_command().

## ◆ _x_select_spu_channel()

void _x_select_spu_channel | ( | xine_stream_t * | stream,
|  | int | channel )

References xine_ticket_s::acquire, xine_stream_private_st::frontend_lock, lprintf, NULL, xine_private_t::port_ticket, xine_ticket_s::release, xine_stream_private_st::s, xine_stream_private_st::side_streams, xine_stream_s::slave, xine_stream_s::spu_channel, xine_stream_s::spu_channel_auto, xine_stream_s::spu_channel_user, and xine_stream_s::xine.

Referenced by get_overlay(), xine_set_param(), and xine_stream_master_slave().

## ◆ _x_set_fine_speed()

void _x_set_fine_speed | ( | xine_stream_t * | stream,
|  | int | speed )

References xine_stream_private_st::s, set_speed_internal(), xine_stream_private_st::side_streams, xine_stream_s::slave, xine_stream_private_st::slave_affection, xine_private_t::speed_change_done, xine_private_t::speed_change_flags, xine_private_t::speed_change_lock, xine_private_t::speed_change_new_live, xine_private_t::speed_change_new_speed, SPEED_FLAG_CHANGING, SPEED_FLAG_IGNORE_CHANGE, SPEED_FLAG_WANT_LIVE, SPEED_FLAG_WANT_NEW, xine_private_t::x, xine_stream_s::xine, XINE_LIVE_PAUSE_OFF, XINE_LIVE_PAUSE_ON, XINE_MASTER_SLAVE_SPEED, XINE_SPEED_PAUSE, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by _x_set_speed(), handle_libbluray_event(), nbc_set_speed(), and xine_set_param().

## ◆ _x_set_speed()

void _x_set_speed | ( | xine_stream_t * | stream,
|  | int | speed )

References _x_set_fine_speed(), XINE_FINE_SPEED_NORMAL, XINE_SPEED_FAST_4, and XINE_SPEED_NORMAL.

Referenced by pvr_adjust_realtime_speed(), pvr_event_handler(), pvr_play_file(), v4l_adjust_realtime_speed(), and xine_set_param().

## ◆ _x_trigger_relaxed_frame_drop_mode()

void _x_trigger_relaxed_frame_drop_mode | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::first_frame, xine_stream_private_st::flag, xine_stream_private_st::lock, and xine_stream_private_st::side_streams.

Referenced by vdr_execute_rpc_command().

## ◆ _x_unlock_frontend()

void _x_unlock_frontend | ( | xine_stream_t * | stream | ) |

References xine_stream_private_st::frontend_lock, and xine_stream_private_st::side_streams.

Referenced by vdr_rpc_thread_loop().

## ◆ _x_unlock_port_rewiring()

void _x_unlock_port_rewiring | ( | xine_t * | xine | ) |

References xine_private_t::port_ticket.

Referenced by nbc_delay_unpause(), nbc_get_cb(), nbc_put_cb(), queue_black_frame(), test_make(), and vdr_rpc_thread_loop().